.fixed-bg {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  overflow: hidden;
  &::after {
    content: "";
    position: absolute;
    top: -100%; 
    left: -100%;
    width: 400%; 
    height: 400%;
    background-image: url('../img/pink_bg.png');
    background-repeat: repeat;
    background-size: 350px;
    transform: rotate(-15deg);
  }
}

.news-wrapper {
  height: auto;
  min-height: 100dvh;
}
.wrapper:has(.news-container) {
  &::after {
    content: none;
  }
}
.news-wrapper {
  & #news {
    &::after {
      content: none;
    }
  }
  & .normal-button {
    margin: 2rem 0 5rem;;
    font-size: clamp(1rem, 1.8vw, 1.4rem);
  }
}

.news-container {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  width: 100%;
  max-width: 980px;
  & article {
    width: 100%;
    max-width: 100%;
    gap: 0;
    background: #fff;
    border: 4px solid var(--emphacolor);
    border-radius: 1rem;
    & .news-detail-header,
    & .news-detail-content  {
      display: flex;
      flex-direction: column;
      width: 100%;
      text-align: left;
    }
  }
}

.news-detail-header {
  align-items: flex-start;
  gap: .5rem;
  color: #fff;
  padding: 1.25rem 1.75rem;
  background: rgba(255,64,108, .9);
  & .date-and-icon {
    display: flex;
    align-items: center;
    gap: .5rem;
    font-size: clamp(.65rem, 1.8vw, .8rem);
    line-height: 1;
    font-weight: 800;
    & .icon {
      display: inline-block;
      height: 16px;
      aspect-ratio: 40 / 26;
      background: url('../img/icon_leaf.svg') center center / contain no-repeat;
    }
    & .date {
     font-size: clamp(.6rem, 1.8vw, .8rem); 
    }
  }
  & h2.news-detail-title {
    height: auto;
    line-height: 1.5;
    font-size: clamp(.7rem, 1.8vw, .9rem);
    text-align: left;
    justify-content: flex-start;
    margin-bottom: 0;
  }
}

.news-detail-content {
  align-items: center;
  padding: 1.75rem;
  gap: 1rem;
  & .news-detail-visual {
    position: relative;
    width: 100%;
    display: block;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
    aspect-ratio: 16 / 9;
    border-radius: 10px;
    & img {
      position: absolute;
      left: 0px;
      top: 0px;
      width: 100%;
      height: 100%;
    }
  }
  & .news-text {
    font-size: clamp(.7rem, 1.8vw, .8rem); 
    line-height: 1.55;
    font-weight: 500;
    & .news-text-block {
      display: inline-block;
      margin-top: 1.25rem;
    }
    & a.official_link {
      color: var(--newslinkcolor);
      text-decoration: underline;
      &:hover {
        color: var(--emphacolor);
      }
    }
  }
}

.news-wrapper {
  & footer {
    & .footer-wave {
      &::before {
        background-image: url(../img/05_bg_chara.png)
      }
      &::after {
        background-image: url(../img/04_bg_chara.png)
      }
    }
  }
}

/* -------------------------------------------
            レスポンシブ対応 (スマホ)
 * ------------------------------------------- */

/* 画面幅が768px以下のデバイスに適用されるスタイル */
@media (max-width: 1280px) {
  .fixed-bg {
    &::after {
      width: 300%; 
      height: 300%;
    }
  }
  .news-wrapper {
    & .news-container {
      width: calc(100% - 20px);
      max-width: max-content;
      gap: 1rem;
    }
    & .date-and-icon {
      gap: 0.25rem;
      .icon {
        height: 14px;
      }
    }
    & a.normal-button {
      width: 70%;
      height: 3rem;
      border-radius: 1.5rem;
      margin: 1rem 0 4rem;
    }
  }
  .news-detail-header {
    gap: .5rem;
    padding: 1rem 0.75rem;
    & .date-and-icon {
       gap: 0.25rem;
      & .icon {
        height: 14px;
      }
      & .date {
      font-size: clamp(.6rem, 1.8vw, .8rem); 
      }
    }
    & h2.news-detail-title {
      height: auto;
      line-height: 1.5;
      font-size: clamp(.7rem, 1.8vw, .9rem);
      margin-bottom: 0;
    }
  }
  .news-detail-content {
    padding: 0.75rem;
    gap: .75rem;
  }
}